# SdFat: PrintFile< BaseFile > Class Template Reference

PrintFile< BaseFile > Class Template Reference

PrintFile class. More...

`#include <ArduinoFiles.h>`

Inheritance diagram for PrintFile< BaseFile >:
[legend]
Collaboration diagram for PrintFile< BaseFile >:
[legend]

## Public Member Functions

size_t | write (uint8_t b)

## Detailed Description

### template<class BaseFile>
class PrintFile< BaseFile >

PrintFile class.

## Member Function Documentation

## write()

template<class BaseFile>

size_t PrintFile< BaseFile >::write | ( | uint8_t | b | ) |

inline

Write a single byte.

Parameters

  [in] | b | byte to write.

Returns
  one for success.

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/common/ArduinoFiles.h